import request from '@/utils/request'

// 查询环境监测报警记录列表
export function listAbnormal(query) {
  return request({
    url: '/system/enviAbnormal/list',
    method: 'get',
    params: query
  })
}

// 查询环境监测报警记录详细
export function getAbnormal(id) {
  return request({
    url: '/system/enviAbnormal/' + id,
    method: 'get'
  })
}

// 新增环境监测报警记录
export function addAbnormal(data) {
  return request({
    url: '/system/enviAbnormal',
    method: 'post',
    data: data
  })
}

// 修改环境监测报警记录
export function updateAbnormal(data) {
  return request({
    url: '/system/enviAbnormal',
    method: 'put',
    data: data
  })
}

// 删除环境监测报警记录
export function delAbnormal(id) {
  return request({
    url: '/system/enviAbnormal/' + id,
    method: 'delete'
  })
}
